summaryrefslogtreecommitdiff
path: root/dev-ruby/immutable-ruby
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-15 13:15:19 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-15 13:15:19 +0000
commit6a43745b968bc06d584e577a66141ea984138222 (patch)
tree449b40c8df0d16ef4b7b88fef76bef8817ee2837 /dev-ruby/immutable-ruby
parent4ed27139afc9404054461e4d12e1e1b517bc4ba4 (diff)
downloadbaldeagleos-repo-6a43745b968bc06d584e577a66141ea984138222.tar.gz
baldeagleos-repo-6a43745b968bc06d584e577a66141ea984138222.tar.xz
baldeagleos-repo-6a43745b968bc06d584e577a66141ea984138222.zip
Adding metadata
Diffstat (limited to 'dev-ruby/immutable-ruby')
-rw-r--r--dev-ruby/immutable-ruby/Manifest1
-rw-r--r--dev-ruby/immutable-ruby/immutable-ruby-0.1.0.ebuild33
-rw-r--r--dev-ruby/immutable-ruby/metadata.xml12
3 files changed, 46 insertions, 0 deletions
diff --git a/dev-ruby/immutable-ruby/Manifest b/dev-ruby/immutable-ruby/Manifest
new file mode 100644
index 000000000000..c9f514f4076f
--- /dev/null
+++ b/dev-ruby/immutable-ruby/Manifest
@@ -0,0 +1 @@
+DIST immutable-ruby-0.1.0.tar.gz 134479 BLAKE2B c113ab9bf6b9accdc40eed351cc3177745e52926546d3c4c001786b47790b2c2eba97dfd0751000fd51ad11eb760039c82a2c6f0618776d87a460a16bfc1b9cf SHA512 3136884f791f0d9c1e460a848192723753f5c63f230faa2cec32445ea875392871d38de09222521fd78493397561a4dddbc61e9b020d5089d1c90694c46bde19
diff --git a/dev-ruby/immutable-ruby/immutable-ruby-0.1.0.ebuild b/dev-ruby/immutable-ruby/immutable-ruby-0.1.0.ebuild
new file mode 100644
index 000000000000..6078251ff622
--- /dev/null
+++ b/dev-ruby/immutable-ruby/immutable-ruby-0.1.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_GEMSPEC="immutable-ruby.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+# Releases are not tagged upstream
+COMMIT=84dba7382284fe7e85816a65abf5c2fc9bbc089e
+
+inherit ruby-fakegem
+
+DESCRIPTION="Efficient, immutable, thread-safe collection classes for Ruby"
+HOMEPAGE="https://github.com/immutable-ruby/immutable-ruby"
+SRC_URI="https://github.com/immutable-ruby/immutable-ruby/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+RUBY_S="${PN}-${COMMIT}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.1:1
+ dev-ruby/sorted_set:0
+"
+
+all_ruby_prepare() {
+ sed -i -e '/pry/ s:^:#:' spec/spec_helper.rb spec/lib/immutable/vector/insert_spec.rb || die
+}
diff --git a/dev-ruby/immutable-ruby/metadata.xml b/dev-ruby/immutable-ruby/metadata.xml
new file mode 100644
index 000000000000..7dc8cc4bb0de
--- /dev/null
+++ b/dev-ruby/immutable-ruby/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="rubygems">immutable-ruby</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file